
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% MeshLoading.m
% For BrainVoyager QX 2.8
% Created by Rainer Goebel, May 2013
% Adaptations until BV 22 HB
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
success = 1;
bv = actxserver('BrainVoyager.BrainVoyagerScriptAccess.1') % Start BrainVoyager
[FileName, PathName] = uigetfile('*.vmr', 'Please select the anatomical file (*.vmr)');
vmrname = [PathName FileName];
docVMR = bv.OpenDocument(fullfile(PathName, FileName));
if (~isinterface(docVMR)), disp('Could not open VMR.'); success = 0; end;
meshScene = docVMR.CreateMeshScene; % creates empty scene (surface view) if not available for docVMR
if (~isinterface(meshScene))
    disp('Could not create mesh scene object');
    success = 0;
end;
[FileName, PathName] = uigetfile('*.srf', 'Please select the mesh (*.srf)');
ok = meshScene.LoadMesh(fullfile(PathName, FileName));
if (ok)
    meshSRF = meshScene.CurrentMesh;
    n_vertices = meshSRF.NrOfVertices;
    bv.PrintToLog(['No. of vertices of current mesh: ' num2str(n_vertices)]);
    bv.PrintToLog(['Viewpoint position, x: ' num2str(meshScene.ViewpointPositionX)...
        ', y: ' num2str(meshScene.ViewpointPositionY) ', z: ' num2str(meshScene.ViewpointPositionZ)]);
    meshScene.ViewpointRotationX = 0;
    meshScene.ViewpointRotationY = 180;
    meshScene.ViewpointRotationZ = 0;
    for i=1:90
        meshScene.ViewpointPositionX = meshScene.ViewpointPositionX + 2;
        meshScene.ViewpointRotationZ = meshScene.ViewpointRotationZ - 1;
        meshSRF.UpdateAppearance(1);
    end;
    bv.PrintToLog(['Viewpoint position, x: ' num2str(meshScene.ViewpointPositionX)...
        ', y: ' num2str(meshScene.ViewpointPositionY) ', z: ' num2str(meshScene.ViewpointPositionZ)]);
end
