% create_mtc_file.m
% works with Brainvoyager 22

bv = actxserver('BrainVoyager.BrainVoyagerScriptAccess.1');
[FileName,PathName] = uigetfile('*.vmr','Please select the anatomical data file...');
docvmr = bv.OpenDocument(fullfile(PathName, FileName));
[FileName,PathName] = uigetfile('*.vtc','Please select the functional data file...');
vtcfilename = (fullfile(PathName, FileName));
docvmr.LinkVTC(vtcfilename);
[FileName,PathName] = uigetfile('*.srf','Please select the surface...');
ok = docvmr.LoadMesh(fullfile(PathName, FileName));
[pathstr, name, ext] = fileparts(vtcfilename);
docvmr.CreateMTCFromVTC(-1.0, 3.0, fullfile(pathstr,[name '.mtc']));