%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% intra_session_alignment.m: script to align a functional file to another
% intra-session alignment and motion correction
% Checked with BrainVoyager 22
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
bv = actxserver('BrainVoyager.BrainVoyagerScriptAccess.1')
[FileName1, PathName1] = uigetfile('*.fmr','Please select the source functional file...');
sourcefmrname = fullfile(PathName1, FileName1);
[FileName2, PathName2] = uigetfile('*.fmr','Please select the target functional file...');
targetfmrname = fullfile(PathName2, FileName2);
sourcefmr = bv.OpenDocument(sourcefmrname);
sourcefmr.CorrectMotionTargetVolumeInOtherRunEx(targetfmrname, 1, 1, 1, 100, 0, 1);

% Parameter 1: Target FMR name: name of the run to which the current FMR project should be aligned.
% Parameter 2: Target volume: number of the volume to which other volumes should be aligned.
% Parameter 3: Interpolation method: 0 and 1: trilinear detection and trilinear interpolation, 2: trilinear
% detection and sinc interpolation or 3: sinc detection of motion and sinc interpolation.
% Parameter 4: Use full data set: true if yes, false if one would like to use the reduced dataset (default in
% GUI).
% Parameter 5: Maximum number of iterations: defines for how many iterations the parameters should be
% fitted. Value in GUI is default 100.
% Parameter 6: Generate movies: true if yes, false if no. This feature has been disabled for some time.
% Parameter 7: Generate extended log file: true if one would like the motion estimation parameters in a
% text file, false otherwise.
