
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% isovoxel_vmr.m
% Script to make a VMR isovoxel
%
% Works with BrainVoyager 22
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
bv = actxserver('BrainVoyager.BrainVoyagerScriptAccess.1');
bv.ShowLogTab;
[FileName,PathName] = uigetfile('*.vmr','Please select the anatomical data file...');
vmrfilename = strcat(PathName, FileName);
vmr = bv.OpenDocument(vmrfilename);
bv.PrintToLog('Start isovoxelating VMR...');
[pathstr,name,ext] = fileparts(vmrfilename);
isovmrfilename = fullfile(pathstr, [name '_ISO' ext]);
interpMethod = 2; % 1 - trilinear, 2 - cubic spline (recommended), 3 - sinc
success = vmr.AutoTransformToIsoVoxel(interpMethod, isovmrfilename);
bv.PrintToLog(['Saving ' isovmrfilename '...']);
isoproject = bv.OpenDocument(isovmrfilename); %see figure 4.1
h = msgbox(['The isovoxel file can be found at ' isovmrfilename]);
uiwait(h);
